<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::IGeneratorTracker Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1IGeneratorTracker.html">IGeneratorTracker</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="structCatch_1_1IGeneratorTracker-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::IGeneratorTracker Struct Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a20b3c82baa68f821c180d6dac1234eb1"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IGeneratorTracker.html#a20b3c82baa68f821c180d6dac1234eb1">~IGeneratorTracker</a> ()</td></tr>
<tr class="separator:a20b3c82baa68f821c180d6dac1234eb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae88084f9af27c8b9a5d5775b9c148498"><td class="memItemLeft" align="right" valign="top">virtual auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IGeneratorTracker.html#ae88084f9af27c8b9a5d5775b9c148498">hasGenerator</a> () const -&gt; bool=0</td></tr>
<tr class="separator:ae88084f9af27c8b9a5d5775b9c148498"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23be942fc51672598bfa02c678c3078a"><td class="memItemLeft" align="right" valign="top">virtual auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IGeneratorTracker.html#a23be942fc51672598bfa02c678c3078a">getGenerator</a> () const -&gt; <a class="el" href="namespaceCatch_1_1Generators.html#a2f1eaef46ea5874056069085ef324516">Generators::GeneratorBasePtr</a> const &amp;=0</td></tr>
<tr class="separator:a23be942fc51672598bfa02c678c3078a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9945eff42219edc5a7071eebd8b0419e"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IGeneratorTracker.html#a9945eff42219edc5a7071eebd8b0419e">setGenerator</a> (<a class="el" href="namespaceCatch_1_1Generators.html#a2f1eaef46ea5874056069085ef324516">Generators::GeneratorBasePtr</a> &amp;&amp;generator)=0</td></tr>
<tr class="separator:a9945eff42219edc5a7071eebd8b0419e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20b3c82baa68f821c180d6dac1234eb1"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IGeneratorTracker.html#a20b3c82baa68f821c180d6dac1234eb1">~IGeneratorTracker</a> ()</td></tr>
<tr class="separator:a20b3c82baa68f821c180d6dac1234eb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae88084f9af27c8b9a5d5775b9c148498"><td class="memItemLeft" align="right" valign="top">virtual auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IGeneratorTracker.html#ae88084f9af27c8b9a5d5775b9c148498">hasGenerator</a> () const -&gt; bool=0</td></tr>
<tr class="separator:ae88084f9af27c8b9a5d5775b9c148498"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23be942fc51672598bfa02c678c3078a"><td class="memItemLeft" align="right" valign="top">virtual auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IGeneratorTracker.html#a23be942fc51672598bfa02c678c3078a">getGenerator</a> () const -&gt; <a class="el" href="namespaceCatch_1_1Generators.html#a2f1eaef46ea5874056069085ef324516">Generators::GeneratorBasePtr</a> const &amp;=0</td></tr>
<tr class="separator:a23be942fc51672598bfa02c678c3078a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9945eff42219edc5a7071eebd8b0419e"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IGeneratorTracker.html#a9945eff42219edc5a7071eebd8b0419e">setGenerator</a> (<a class="el" href="namespaceCatch_1_1Generators.html#a2f1eaef46ea5874056069085ef324516">Generators::GeneratorBasePtr</a> &amp;&amp;generator)=0</td></tr>
<tr class="separator:a9945eff42219edc5a7071eebd8b0419e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a20b3c82baa68f821c180d6dac1234eb1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20b3c82baa68f821c180d6dac1234eb1">&#9670;&nbsp;</a></span>~IGeneratorTracker() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual Catch::IGeneratorTracker::~IGeneratorTracker </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a20b3c82baa68f821c180d6dac1234eb1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20b3c82baa68f821c180d6dac1234eb1">&#9670;&nbsp;</a></span>~IGeneratorTracker() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual Catch::IGeneratorTracker::~IGeneratorTracker </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a23be942fc51672598bfa02c678c3078a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23be942fc51672598bfa02c678c3078a">&#9670;&nbsp;</a></span>getGenerator() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual auto Catch::IGeneratorTracker::getGenerator </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  <a class="el" href="namespaceCatch_1_1Generators.html#a2f1eaef46ea5874056069085ef324516">Generators::GeneratorBasePtr</a> const &amp;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a23be942fc51672598bfa02c678c3078a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23be942fc51672598bfa02c678c3078a">&#9670;&nbsp;</a></span>getGenerator() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual auto Catch::IGeneratorTracker::getGenerator </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  <a class="el" href="namespaceCatch_1_1Generators.html#a2f1eaef46ea5874056069085ef324516">Generators::GeneratorBasePtr</a> const &amp;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae88084f9af27c8b9a5d5775b9c148498"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae88084f9af27c8b9a5d5775b9c148498">&#9670;&nbsp;</a></span>hasGenerator() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual auto Catch::IGeneratorTracker::hasGenerator </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  bool</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae88084f9af27c8b9a5d5775b9c148498"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae88084f9af27c8b9a5d5775b9c148498">&#9670;&nbsp;</a></span>hasGenerator() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual auto Catch::IGeneratorTracker::hasGenerator </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  bool</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9945eff42219edc5a7071eebd8b0419e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9945eff42219edc5a7071eebd8b0419e">&#9670;&nbsp;</a></span>setGenerator() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IGeneratorTracker::setGenerator </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceCatch_1_1Generators.html#a2f1eaef46ea5874056069085ef324516">Generators::GeneratorBasePtr</a> &amp;&amp;&#160;</td>
          <td class="paramname"><em>generator</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9945eff42219edc5a7071eebd8b0419e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9945eff42219edc5a7071eebd8b0419e">&#9670;&nbsp;</a></span>setGenerator() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IGeneratorTracker::setGenerator </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceCatch_1_1Generators.html#a2f1eaef46ea5874056069085ef324516">Generators::GeneratorBasePtr</a> &amp;&amp;&#160;</td>
          <td class="paramname"><em>generator</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
